Py ERFA:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- PyERFA v2.0.1.5 »
- erfa Package »
- ppsp

# ppsp

erfa.ppsp(a, s, b)

  P-vector plus scaled p-vector.

  Parameters:
    a double array
    s double array
    b double array
  Returns:
    apsb double array

  Notes

  Wraps ERFA function `eraPpsp`. The ERFA documentation is:

      - - - - - - - -
       e r a P p s p
      - - - - - - - -

      P-vector plus scaled p-vector.

      Given:
         a      double[3]     first p-vector
         s      double        scalar (multiplier for b)
         b      double[3]     second p-vector

      Returned:
         apsb   double[3]     a + s*b

      Note:
         It is permissible for any of a, b and apsb to be the same array.

      Called:
         eraSxp       multiply p-vector by scalar
         eraPpp       p-vector plus p-vector

      This revision:  2021 May 11

      Copyright (C) 2013-2023, NumFOCUS Foundation.
      Derived, with permission, from the SOFA library.  See notes at end of file.